import pytest

import path_setting
from all_doctor_api.web2_request import web2_request
from ids_list import get_ids
from in_common.base_request import BaseRequest


class TestServiceDeletelist:
    service_deletelist = BaseRequest().api_load(path_setting.DELETELIST_DATA)
    ServiceDeletelist_case, ServiceDeletelist_data = get_ids(service_deletelist, "service_deletelist")

    @pytest.mark.parametrize("params" ,ServiceDeletelist_data ,ids=ServiceDeletelist_case)
    def test_ServiceDeletelist(self ,params):

        r = web2_request().service_deletelist(params['page'])
        print("======" ,r)

        # if r["error"] == 0:
        #     assert r["error"] == params["assert"]

